
QGIS Application - Bug report #13263

VRT file shows only paletted colormap of first layer

2015-08-25 08:33 AM - Christoph Paulik

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.10.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21324

Description

Opening the attached VRT file in QGIS correctly shows all the layers and metadata but when selecting to display any other than the first

layer the colormap is not loaded.

In the image below Band15 should have a colormap with 255 entries.

See QGIS-paletted-colormap-not-showing.png

Running gdalinfo on the file shows the colormaps per band without problems.

I'm using QGIS 2.10.0 on Ubuntu 14.04 with gdal 1.11.2.

Associated revisions

Revision 17a3d1fd - 2017-04-03 04:08 AM - Nyall Dawson

Add unit test to ensure that #13263 is fixed

Fix #13263

History

#1 - 2015-08-25 08:34 AM - Christoph Paulik

- File QGIS-paletted-colormap-not-showing.png added

- File g2_BIOPAR_SWI_test.vrt added

#2 - 2017-04-02 07:53 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"17a3d1fd70b2df94c39cbd51ba1be6ef06925716".

Files

g2_BIOPAR_SWI_test.vrt 205 KB 2015-08-25 Christoph Paulik

QGIS-paletted-colormap-not-showing.png 87.3 KB 2015-08-25 Christoph Paulik
